Bug 138127 - Border control in property dialogs use black color even on dark theme
Summary: Border control in property dialogs use black color even on dark theme
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL: https://i.imgur.com/L3lvPn8.png
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: accessibility, needsUXEval
Depends on:
Blocks: UI-Theming Borders-Tab
  Show dependency treegraph
 
Reported: 2020-11-11 09:16 UTC by Heiko Tietze
Modified: 2020-12-10 09:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
With patch applied (36.78 KB, image/png)
2020-11-11 10:28 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-11-11 09:16:28 UTC
For example, see URL with Breeze Dark. We should use white for lines on dark backgrounds or just ignore the dark background on document related widgets. I prefer the latter as it complies WYSIWYG.
Comment 1 Heiko Tietze 2020-11-11 10:28:33 UTC
Created attachment 167189 [details]
With patch applied

https://gerrit.libreoffice.org/c/core/+/105577
Comment 2 Commit Notification 2020-12-09 07:53:28 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6f7d1aaa8c375e6b7a9b80d1ae57efc176c6430f

Resolves tdf#138127 - Use document color for border widget

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-12-10 09:43:30 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/f527846ab9a67387909d225aaeb77301d2b48d5a

Resolves tdf#138127 - Use document color for border widget

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.